SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004548SOGoWeb Preferencespublic2018-09-19 02:552018-09-20 09:31
ReporterLauris 
Assigned Tofrancis 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.2 
Target VersionFixed in Version4.0.3 
Summary0004548: Can't open the preferences section of the web interface
DescriptionLog file shows:
2018-09-18 16:05:02.153 sogod[14626] EXCEPTION: <NSException: 0x5568039039a0> NAME:NSRangeException REASON:Index 21 is out of range 21 (in 'objectAtIndex:') INFO:{Array = (Gadadienas, " Dzim\U0161anas dienas", " Bizness", " Zvani", " Klienti", " Konkurence", " Izlase", " Seko\U0161ana", " D\U0101vanas", " Br\U012Bvdienas", " Idejas", " Sapulces", " Jaut\U0101jumi", " Da\U017E\U0101di", " Person\U012Bgi", " Projekti", " Valsts sv\U0113tki", " Statusi", " Pieg\U0101d\U0101t\U0101ji", " Ce\U013Cojumi", " Atva\U013Cin\U0101jumi"); Count = 21; Index = 21; }
Sep 18 16:05:02 sogod [14626]: 84.237.219.202 "GET /SOGo/so/postmaster@liepaja.edu.lv/Preferences HTTP/1.0" 501 0/0 0.019 - - 0
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013050)
neradp (reporter)
2018-09-20 04:50

I have the same problem..
Temporary solution is login with english lang, change prefs, then change lang to orig.

Some versions later, this also repairs problem... not now :(
User avatar (0013052)
francis (administrator)
2018-09-20 09:19

There's a missing category ("Customer"') in the Latvian translation:

Anniversary => Gadadienas
Birthday => Dzimšanas dienas
Business => Bizness
Calls => Zvani
Clients => Klienti
Competition => Konkurence
Customer => <missing>
Favorites => Izlase
Follow up => Sekošana
Gifts => D?vanas
Holidays => Br?vdienas
Ideas => Idejas
Meeting => Sapulces
Issues => Jaut?jumi
Miscellaneous => Daž?di
Personal => Person?gi
Projects => Projekti
Public Holiday => Valsts sv?tki
Status => Statusi
Suppliers => Pieg?d?t?ji
Travel => Ce?ojumi
Vacation => Atva?in?jumi

What would be the translation of "Customer"?

Thanks!
(0013054)
Lauris (reporter)
2018-09-20 09:21

In Latvian:
Customer => Klients

- Related Changesets
sogo: master 7eac7db6
Timestamp: 2018-09-20 09:29:05
Author: francis
Details ] Diff ]
Fix calendar categories for Latvian translation

Fixes 0004548
mod - UI/PreferencesUI/Latvian.lproj/Localizable.strings Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-19 02:55 Lauris New Issue
2018-09-20 04:50 neradp Note Added: 0013050
2018-09-20 09:19 francis Note Added: 0013052
2018-09-20 09:21 Lauris Note Added: 0013054
2018-09-20 09:31 francis Changeset attached => sogo master 7eac7db6
2018-09-20 09:31 francis Assigned To => francis
2018-09-20 09:31 francis Resolution open => fixed
2018-09-20 09:31 francis Status new => resolved
2018-09-20 09:31 francis Fixed in Version => 4.0.3


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker